flex-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From DarrenEvans <darren.ev...@allocatesoftware.com>
Subject Enable Advanced Telemetry
Date Fri, 22 Aug 2014 10:39:32 GMT
Hiya,

We have a memory leak in our application and I'm trying to get Adobe Scout
working against it so I can start analysing what is happening with the
memory. 

We are stuck on Flex SDK 4.6 and using IntelliJ to compile with, so
compiling with -advanced-telemetry=true is not an option (as far as I'm
aware). I had this working a couple of years ago (I think) and was using the
great little AIR app to set the required flag in the resulting SWF, found
at:
http://renaun.com/blog/2012/12/enable-advanced-telemetry-on-flex-or-old-swfs-with-swf-scount-enabler/

However, Scout seems to have moved on. There seems to be a requirement for
FlashPlayer 11.7 (was previously working with 11.4). I've upped that and got
rid of the first error message Scout was complaining about. 

But....Even after running our SWF through the little AIR app, Scout is still
complaining with the message:
"To use this panel: Compile your application with the -advanced-telemetry
option."

Here is a screenshot showing the Scout message:
http://i629.photobucket.com/albums/uu19/drevans112/Allocate/ScoutCompileWithAdvancedTelemetry.png

Here is a screenshot showing the SWF being successfully modified:
http://i629.photobucket.com/albums/uu19/drevans112/Allocate/ScoutSWFEnablerSuccess.png

Any thoughts on why this no longer works and what can be done to resolve it?



--
View this message in context: http://apache-flex-users.2333346.n4.nabble.com/Enable-Advanced-Telemetry-tp7695.html
Sent from the Apache Flex Users mailing list archive at Nabble.com.

Mime
View raw message